tvbrowser.ui.tray

## Class ProgramMenuItemUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.MenuItemUI
      - - javax.swing.plaf.basic.BasicMenuItemUI
        - - tvbrowser.ui.tray.ProgramMenuItemUI

-     public class ProgramMenuItemUI
      extends javax.swing.plaf.basic.BasicMenuItemUI

  A class that paint the ProgramMenuItem.
  Author:
    René Mach

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `javax.swing.plaf.basic.BasicMenuItemUI.MouseInputHandler`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `acceleratorDelimiter, acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramMenuItemUI(Program program, TextAreaIcon channelName, javax.swing.Icon icon, boolean showStartTime, boolean showDate, boolean showIcon, boolean showName, int time)` Constructs the UI.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `paintBackground(java.awt.Graphics g, javax.swing.JMenuItem menuItem, java.awt.Color bgColor)`
    `protected void` | `paintText(java.awt.Graphics g, javax.swing.JMenuItem menuItem, java.awt.Rectangle textRect, java.lang.String text)`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI

      `createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, createUI, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredMenuItemSize, getPreferredSize, getPropertyPrefix, installComponents, installDefaults, installKeyboardActions, installListeners, installUI, paint, paintMenuItem, uninstallComponents, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProgramMenuItemUI

          public ProgramMenuItemUI(Program program,
                           TextAreaIcon channelName,
                           javax.swing.Icon icon,
                           boolean showStartTime,
                           boolean showDate,
                           boolean showIcon,
                           boolean showName,
                           int time)

      Constructs the UI.
      Parameters:
        `program` - The program that is to show in the ProgramMenuItem.
        `channelName` - The TextAreaIcon that contains the channel name
        `icon` - The channel icon.
        `showStartTime` - The ProgramMenuItem should show the start time.
        `showDate` - The ProgramMenuItem should show the date.
        `showIcon` - The ProgramMenuItem should show the channel icon.
        `showName` - The ProgramMenuItem should show the channel name.
        `time` - The time of the time button.

  - ### Method Detail

    - #### paintBackground

          protected void paintBackground(java.awt.Graphics g,
                             javax.swing.JMenuItem menuItem,
                             java.awt.Color bgColor)

      Overrides:
        `paintBackground` in class `javax.swing.plaf.basic.BasicMenuItemUI`

    - #### paintText

          protected void paintText(java.awt.Graphics g,
                       javax.swing.JMenuItem menuItem,
                       java.awt.Rectangle textRect,
                       java.lang.String text)

      Overrides:
        `paintText` in class `javax.swing.plaf.basic.BasicMenuItemUI`

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)